# &kde; användarhandbok

Stephan
Kulow

    coolo@kde.org

2007-09-28
K Desktop Environment
kde4-config
1

# `kde4-config`

Skriver ut installationssökvägar för &kde;

    kde4-config --expandvars --prefix --exec-prefix --libsuffix --localprefix --version --types --path typ --userpath typ --install typ

## Beskrivning

kde4-config är ett kommandoradsprogram som används för att hämta information om &kde;:s installation eller användarsökvägar.

Använd programmet för att avgöra var de olika delarna av &kde;-installationen finns på ditt system.

## Väljare

`--expandvars`

  Expandera ${prefix} och ${exec_prefix} i utdata

`--prefix`

  Inkompilerat prefix för &kde;-bibliotek

`--exec-prefix`

  Inkompilerat exec_prefix för &kde;-bibliotek

`--libsuffix`

  Inkompilerat suffix för bibliotekssökvägar

`--localprefix`

  Prefix i $`HOME` som används för att skriva filer

`---version`

  Inkompilerad versionssträng för &kde;-bibliotek

`--types`

  Skriv ut en lista med alla tillgängliga resurstyper i &kde;

`--path typ`

  Sökväg för angiven typ

`--userpath typ`

  Användarsökvägar för typerna: desktop|autostart|trash|document

`--install typ`

  Prefix att installera resursfiler

## Exempel

Skriv ut &kde;:s toppnivå-installationskatalog:

&percnt;``kde4-config --prefix``

Skriv ut en lista med alla resurstyper:

&percnt;``kde4-config --types``

Skriv ut sökvägen till det installerade skrivbordsunderlägget:

&percnt;``kde4-config --path wallpaper``

## Se också

kdeoptions(7)

## Fel

Inga kända.